# Class MackerelSerra

java.lang.Object
ecoparasite.poisson.Poisson
ecoparasite.poisson.MackerelSerra

All Implemented Interfaces:
  `DataParsing`

public class MackerelSerra extends Poisson implements DataParsing
Classe MackerelSerra créer pour le fichier test2.csv cette classe existe principalement pour l'évaluation

- ## Field Summary

  ### Fields inherited from class Poisson

  `fishParts`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MackerelSerra(String id, Double length, Double infestation)`
  Constructeur de MackerelSerra

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HashSet<Poisson>`
  `parse(RawData data)`
  Implémentation de la fonction parse de Dataparsing
  `static HashSet<Poisson>`
  `parse(RawData data, int parseTypeId)`
  Implémentation de la fonction parse de DataParsing.

  ### Methods inherited from class Poisson

  `getFishParts, getId, getInfestation, getLength, getWeight, setFishParts, setInfestation, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MackerelSerra

    public MackerelSerra(String id, Double length, Double infestation)
    Constructeur de MackerelSerra
    Parameters:
      `length` -
      `infestation` -

- ## Method Details

  - ### parse

    public static HashSet<Poisson> parse(RawData data, int parseTypeId) throws RawDataOverflow, InvalidParsingException
    Implémentation de la fonction parse de DataParsing. Renvoie un tableau de poissons à partir d'un RawData.
    Parameters:
      `data` - Notre RawData
      `parseTypeId` - L'ID du type de parsing, ignoré ici.
    Returns:
      Le tableau de poissons.
    Throws:
      `RawDataOverflow` - Si on a un dépassement de données dans notre RawData.
      `InvalidParsingException`

  - ### parse

    public static HashSet<Poisson> parse(RawData data) throws RawDataOverflow
    Implémentation de la fonction parse de Dataparsing
    Parameters:
      `data` - Notre RawData.
    Returns:
      tableau des poissons
    Throws:
      `RawDataOverflow` - Si on a un dépassement de données dans notre RawDataOverflow.